#include "DUALSHOCKco.hpp"

void DUALSHOCKco::pass_val(double RSX,double RSY,double R2AN,double L2AN)
{
    rsx = RSX;
    rsy = RSY;
    r2an = R2AN;
    l2an = L2AN;
}

bool DUALSHOCKco::cal_input()
{
    Xval = (rsx - RS_normal) * 450 / RS_normal;
    Yval = ((RS_MAX - rsy) - RS_normal + 1) * 450 / RS_normal;
    if(r2an != 0) {
        rotate_val = r2an * 400 / RL_MAX;
    } else {
        rotate_val = -l2an * 400 / RL_MAX;
    }
    if(r2an == 0 && l2an == 0){
        rotate_val = 0;
    }
    return false;
}

double DUALSHOCKco::obt_X()
{
    return Xval;
}

double DUALSHOCKco::obt_Y()
{
    return Yval;
}

double DUALSHOCKco::obt_rotate()
{
    return rotate_val;
}